This page was not yet optimized for use on mobile devices.
Apple corecrypto Module v11.1 [Apple silicon, Secure Key Store, Hardware] (SL2)
Certificate details
| Certificate ID | #4756 |
|---|---|
| Status | historical |
| Historical reason | Moved to historical list due to sunsetting |
| Validation dates | 09.08.2024 |
| Standard | FIPS 140-3 |
| Security level | 2 |
| Type | Hardware |
| Embodiment | Single Chip |
| Caveat | Interim validation. When operated in approved mode |
| Exceptions |
|
| Description | The Apple corecrypto Module v11.1 [Apple silicon, Secure Key Store, Hardware] (SL2) is a Hardware module implemented as a sub-chip running on a single-chip processor. |
| Version (Hardware) | 2.0 |
| Version (Firmware) | 11.1 |
| Tested configurations |
|
| Vendor | Apple Inc. http://www.apple.com |
| Lab | atsec information security corporation |
| Algorithms |
|
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, AES-256, AES-, CAST, HMAC, HMAC-SHA-256, HMAC-SHA-512Asymmetric Algorithms
ECDH, ECDSA, EdDSA, ECIES, ECC, DSAHash functions
SHA-1, SHA-256, SHA-512, PBKDFSchemes
MACRandomness
DRBG, RBGElliptic Curves
P-224, P-256, P-384, P-521, Curve25519, Ed25519Block cipher modes
ECB, CBC, CTR, OFB, GCM, CCMSecurity level
Level 2, level 2Standards
FIPS 140-3, FIPS PUB 140-3, FIPS 197, FIPS 198, FIPS 180-4, FIPS140-3, FIPS180-4, FIPS186-4, FIPS197, FIPS198-1, NIST SP 800-140B, SP 800-38, SP 800-63B, NIST SP 800-140F, SP 800-140x, SP 800-140, SP 800-140A, SP 800-140B, SP 800-140C, SP 800-140D, SP 800-140E, SP 800-140F, RFC5869, RFC3394, RFC5649, ISO/IEC 24759Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 4756,
"dgst": "62b1165a9a2cc722",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"#C317",
"HMAC-SHA2-512A1345",
"SHA2-384A1345",
"#A1340",
"#C318",
"#C319",
"Counter DRBGDRBG 2029",
"#A1345",
"SHA2-512A1345",
"#A510",
"#A501",
"#A1344",
"SHA-1A1345",
"#C330",
"HMAC-SHA2-224A1345",
"#C323",
"SHA2-224A1345",
"SHA2-512/256A1340",
"#C322",
"#A1341",
"SHA2-256A1345",
"#C326",
"HMAC-SHA2-256A1345",
"#C358",
"AES-KWA1345",
"HMAC-SHA-1A1345",
"#C315",
"#C324",
"AES-ECBC358",
"#C331",
"HMAC-SHA2-512/256A1340",
"AES-CBCC358",
"#C320",
"#C314",
"#A1342",
"HMAC-SHA2-384A1345",
"#A1346",
"#A1343"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"11.1",
"2.0"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 31,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 1
},
"ECDH": {
"ECDH": 8
},
"ECDSA": {
"ECDSA": 7
},
"ECIES": {
"ECIES": 11
},
"EdDSA": {
"EdDSA": 2
}
},
"FF": {
"DSA": {
"DSA": 1
}
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 16
},
"CCM": {
"CCM": 2
},
"CTR": {
"CTR": 4
},
"ECB": {
"ECB": 36
},
"GCM": {
"GCM": 1
},
"OFB": {
"OFB": 2
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {},
"crypto_scheme": {
"MAC": {
"MAC": 1
}
},
"device_model": {},
"ecc_curve": {
"Curve": {
"Curve25519": 3
},
"Edwards": {
"Ed25519": 9
},
"NIST": {
"P-224": 2,
"P-256": 2,
"P-384": 2,
"P-521": 2
}
},
"eval_facility": {
"atsec": {
"atsec": 3
}
},
"fips_cert_id": {
"Cert": {
"#1": 1,
"#8": 3
}
},
"fips_certlike": {
"Certlike": {
"# A1343": 2,
"# DRBG": 2,
"AES 5261": 1,
"AES 5272": 1,
"AES 5273": 1,
"AES 5274": 1,
"AES 5275": 1,
"AES 5278": 1,
"AES 5279": 1,
"AES-256": 12,
"DRBG 2014": 3,
"DRBG 2022": 3,
"DRBG 2023": 3,
"DRBG 2024": 3,
"DRBG 2025": 3,
"DRBG 2028": 3,
"DRBG 2029": 3,
"HMAC-SHA-1": 2,
"HMAC-SHA-256": 6,
"HMAC-SHA-512": 2,
"HMAC-SHA256": 4,
"SHA-1": 5,
"SHA-256": 1,
"SHA-512": 1,
"SHA2-224": 4,
"SHA2-256": 7,
"SHA2-384": 4,
"SHA2-512": 4
}
},
"fips_security_level": {
"Level": {
"Level 2": 2,
"level 2": 2
}
},
"hash_function": {
"PBKDF": {
"PBKDF": 5
},
"SHA": {
"SHA1": {
"SHA-1": 5
},
"SHA2": {
"SHA-256": 1,
"SHA-512": 1
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 43
},
"RNG": {
"RBG": 1
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140-3": 47,
"FIPS 180-4": 12,
"FIPS 197": 41,
"FIPS 198": 12,
"FIPS PUB 140-3": 2,
"FIPS140-3": 1,
"FIPS180-4": 1,
"FIPS186-4": 1,
"FIPS197": 1,
"FIPS198-1": 1
},
"ISO": {
"ISO/IEC 24759": 2
},
"NIST": {
"NIST SP 800-140B": 2,
"NIST SP 800-140F": 1,
"SP 800-140": 1,
"SP 800-140A": 1,
"SP 800-140B": 1,
"SP 800-140C": 1,
"SP 800-140D": 1,
"SP 800-140E": 1,
"SP 800-140F": 1,
"SP 800-140x": 1,
"SP 800-38": 43,
"SP 800-63B": 2
},
"RFC": {
"RFC3394": 1,
"RFC5649": 1,
"RFC5869": 1
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 69,
"AES-": 10,
"AES-256": 12
},
"CAST": {
"CAST": 8
}
},
"constructions": {
"MAC": {
"HMAC": 28,
"HMAC-SHA-256": 3,
"HMAC-SHA-512": 1
}
}
},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"AES-KWA1345",
"SHA2-512A1345",
"HMAC-SHA-1A1345",
"HMAC-SHA2-384A1345",
"SHA-1A1345",
"HMAC-SHA2-224A1345",
"AES-CBCC358",
"AES-ECBC358",
"HMAC-SHA2-512A1345",
"SHA2-224A1345",
"SHA2-512/256A1340",
"SHA2-384A1345",
"SHA2-256A1345",
"HMAC-SHA2-512/256A1340",
"Counter DRBGDRBG 2029",
"HMAC-SHA2-256A1345"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#C317",
"#A1340",
"#C318",
"#C319",
"#A1345",
"#A510",
"#A501",
"#A1344",
"#C330",
"#C323",
"#C322",
"#A1341",
"#C326",
"#C358",
"#C315",
"#C324",
"#C331",
"#C320",
"#C314",
"#A1342",
"#A1346",
"#A1343"
]
},
"policy_metadata": {
"/CreationDate": "D:20240729223540Z00\u002700\u0027",
"/ModDate": "D:20240729223540Z00\u002700\u0027",
"/Producer": "macOS Version 13.6.7 (Build 22G720) Quartz PDFContext",
"pdf_file_size_bytes": 2687589,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"https://support.apple.com/guide/security/welcome/web",
"http://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.186-4.pdf",
"https://csrc.nist.gov/Projects/cryptographic-module-validation-program/fips-140-3-ig-announcements",
"https://csrc.nist.gov/publications/detail/sp/800-140a/final",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-57pt1r5.pdf",
"https://csrc.nist.gov/publications/detail/sp/800-140c/final",
"https://csrc.nist.gov/publications/detail/sp/800-140d/final",
"https://csrc.nist.gov/publications/detail/sp/800-140e/final",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-90B.pdf",
"http://www.ietf.org/rfc/rfc5649.txt",
"http://csrc.nist.gov/publications/nistpubs/800-38D/SP-800-38D.pdf",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-131Ar2.pdf",
"http://csrc.nist.gov/publications/fips/fips198-1/FIPS-198-1_final.pdf",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-133r2.pdf",
"https://developer.apple.com/macos/",
"http://csrc.nist.gov/publications/fips/fips197/fips-197.pdf",
"https://doi.org/10.6028/NIST.FIPS.140-3",
"http://www.ietf.org/rfc/rfc3394.txt",
"https://csrc.nist.gov/publications/detail/sp/800-140b/final",
"http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-90Ar1.pdf",
"http://csrc.nist.gov/publications/nistpubs/800-38a/sp800-38a.pdf",
"http://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.180-4.pdf",
"https://manuals.info.apple.com/MANUALS/1000/MA1902/en_US/apple-platform-security-guide.pdf",
"https://csrc.nist.gov/Projects/cryptographic-module-validation-program/fips-140-3-standards",
"https://www.apple.com/legal/intellectual-property/trademark/appletmlist.html",
"https://csrc.nist.gov/publications/detail/sp/800-140f/final",
"https://csrc.nist.gov/publications/detail/sp/800-140/final",
"https://csrc.nist.gov/projects/cryptographic-module-validation-program/entropy-validations/certificate/113",
"http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-38F.pdf"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 34
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "3348c11acb9f018275279ba8a11bfa891d274bb3e9842c752ae9483d3444cfb4",
"source_hash": "6e4b35874305656f4a86d764fcb95bd044322bfa545132fa2d8a37df08ecf26f",
"txt_hash": "e0471a6f854744ddbcdf0ba43639404fbc01241ffb3ef57b5388c830848dc600"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "Interim validation. When operated in approved mode",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/August 2024_010924_0336.pdf",
"date_sunset": null,
"description": "The Apple corecrypto Module v11.1 [Apple silicon, Secure Key Store, Hardware] (SL2) is a Hardware module implemented as a sub-chip running on a single-chip processor.",
"embodiment": "Single Chip",
"exceptions": [
"Operational environment: N/A",
"Non-invasive security: N/A",
"Mitigation of other attacks: N/A"
],
"fw_versions": "11.1",
"historical_reason": "Moved to historical list due to sunsetting",
"hw_versions": "2.0",
"level": 2,
"mentioned_certs": {},
"module_name": "Apple corecrypto Module v11.1 [Apple silicon, Secure Key Store, Hardware] (SL2)",
"module_type": "Hardware",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-3",
"status": "historical",
"sw_versions": null,
"tested_conf": [
"sepOS distributed with iOS14.2 running on iPhone 6S with an Apple A9",
"sepOS distributed with iOS14.2 running on iPhone 7 Plus with an Apple A10 Fusion",
"sepOS distributed with iOS14.2 running on iPhone X with an Apple A11 Bionic",
"sepOS distributed with iOS14.2 running on iPhone XS Max with an Apple A12 Bionic",
"sepOS distributed with iPadOS 14.2 running on iPad (5th generation) with an Apple A9",
"sepOS distributed with iPadOS 14.2 running on iPad (7th generation) with an Apple A10 Fusion",
"sepOS distributed with iPadOS 14.2 running on iPad mini (5th generation) with an Apple A12 Bionic",
"sepOS distributed with iPadOS 14.2 running on iPad Pro 10.5 inch with an Apple A10X Fusion",
"sepOS distributed with iPadOS 14.2 running on iPad Pro 11-inch (1st generation) with an Apple A12X Bionic",
"sepOS distributed with iPadOS 14.2 running on iPad Pro 11-inch (2nd generation) with an Apple A12Z Bionic",
"sepOS distributed with iPadOS 14.2 running on iPad Pro 9.7-inch with an Apple A9X",
"sepOS distributed with tvOS 14.2 running on Apple TV 4K with an Apple A10X Fusion",
"sepOS distributed with TxFW 11.0.1 running on Apple Security Chip T2 with an Apple T2.",
"sepOS distributed with watchOS 7.1 running on Apple Watch Series S3 with an Apple S3",
"sepOS distributed with watchOS 7.1 running on Apple Watch Series S4 with an Apple S4",
"sepOS distributed with watchOS 7.1 running on Apple Watch Series S5 with an Apple S5",
"sepOS distributed with watchOS 7.1 running on Apple Watch Series S6 with an Apple S6"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2024-08-09",
"lab": "atsec information security corporation",
"validation_type": "Initial"
}
],
"vendor": "Apple Inc.",
"vendor_url": "http://www.apple.com"
}
}